Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP::Codec::InvalidTypeForEncoding Class Reference

`#include <IOP_CodecC.h>`

Inheritance diagram for IOP::Codec::InvalidTypeForEncoding:

[legend]
Collaboration diagram for IOP::Codec::InvalidTypeForEncoding:

[legend]
List of all members.

## Public Methods
| InvalidTypeForEncoding (void)
| InvalidTypeForEncoding (const InvalidTypeForEncoding &)
| ~InvalidTypeForEncoding (void)
InvalidTypeForEncoding & | operator= (const InvalidTypeForEncoding &)
virtual CORBA::Exception * | _tao_duplicate (void) const
| Deep copy.
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
virtual CORBA::TypeCode_ptr | _type (void) const
| Will be overridden in the concrete derived classes.
## Static Public Methods
void | _tao_any_destructor (void *)
| Used in the non-copying Any insertion operator.
InvalidTypeForEncoding * | _downcast (CORBA::Exception *)
| The narrow operation.
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

IOP::Codec::InvalidTypeForEncoding::InvalidTypeForEncoding | ( | void |  | ) |

IOP::Codec::InvalidTypeForEncoding::InvalidTypeForEncoding | ( | const InvalidTypeForEncoding & |  | ) |

IOP::Codec::InvalidTypeForEncoding::~InvalidTypeForEncoding | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * IOP::Codec::InvalidTypeForEncoding::_alloc | ( | void |  | ) | `[static]`

IOP::Codec::InvalidTypeForEncoding * IOP::Codec::InvalidTypeForEncoding::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| The narrow operation. Reimplemented from CORBA::UserException.

void IOP::Codec::InvalidTypeForEncoding::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void IOP::Codec::InvalidTypeForEncoding::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Used in the non-copying Any insertion operator. Reimplemented from CORBA::Exception.

void IOP::Codec::InvalidTypeForEncoding::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Exception * IOP::Codec::InvalidTypeForEncoding::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Deep copy. The following operation is used in the implementation of it performs a deep copy of the exception, normally it is implemented as:
     class SomeException : public // Derives from CORBA::Exception
     {
     public:
       virtual CORBA::Exception *_tao_duplicate (void) const
       {
         return new SomeException (*this);
       }
     };
Implements CORBA::Exception.

void IOP::Codec::InvalidTypeForEncoding::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL | ) | const`[virtual]`

CORBA::TypeCode_ptr IOP::Codec::InvalidTypeForEncoding::_type | ( | void |  | ) | const`[virtual]`

| Will be overridden in the concrete derived classes. Reimplemented from CORBA::Exception.

InvalidTypeForEncoding& IOP::Codec::InvalidTypeForEncoding::operator= | ( | const InvalidTypeForEncoding & |  | ) |

The documentation for this class was generated from the following files:

- IOP_CodecC.h
- IOP_CodecC.cpp